#!/bin/sh

myname=`basename $0`
if [ $# = 0 ]; then
# TRANSLATE quoted string after echo command
    echo "
用法: $myname アイテム [アイテム ...]
スペース (またはタブ) 区切りのリストが与えられると､カンマ区切りのリストを生成します。
例:
  % $myname a bcd  e
  a,bcd,e

  % $myname '1 one'   22  \"3 and  three\" 
  1 one,22,3 and  three
"
    exit 1
fi

output=""
while [ $# -gt 0 ]; do
    item="$1"
    shift

    if [ "$output" = "" ]; then
	output="$item"
    else
	output="$output,$item"
    fi
done

echo "$output"
